local conform = require("conform")

conform.setup({
	formatters_by_ft = {
		python = { "isort", "black" },
		lua = { "stylua" },
		sh = { "shfmt" },
		bash = { "shfmt" },
	},
})

vim.keymap.set({ "n", "v" }, "<leader>f", function()
	conform.format({
		lsp_fallback = true,
	})
end, { desc = "Format file or range (in visual mode)" })
